camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-9766) camel-itest-karaf - Cannot install in karaf 4 Unknown protocol: wrap
Date Sun, 27 Mar 2016 07:16:25 GMT
Claus Ibsen created CAMEL-9766:
----------------------------------

             Summary: camel-itest-karaf - Cannot install in karaf 4 Unknown protocol: wrap
                 Key: CAMEL-9766
                 URL: https://issues.apache.org/jira/browse/CAMEL-9766
             Project: Camel
          Issue Type: Bug
          Components: karaf, tests
            Reporter: Claus Ibsen
             Fix For: 2.18.0


When running

cd tests/camel-itest-karaf
mvn test -Dtest=CamelAmqpTest -Pkaraf4

It fails installing karaf 4 with an error
{code}
Caused by: java.io.IOException: Error downloading wrap:file:/Users/davsclaus/.m2/repository/org/apache/qpid/proton-j/0.10/proton-j-0.10.jar
	at org.apache.karaf.features.internal.download.impl.AbstractRetryableDownloadTask.run(AbstractRetryableDownloadTask.java:67)[9:org.apache.karaf.features.core:4.0.4]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)[:1.8.0_31]
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)[:1.8.0_31]
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)[:1.8.0_31]
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)[:1.8.0_31]
	... 3 more
Caused by: java.io.IOException: Could not download [wrap:file:/Users/davsclaus/.m2/repository/org/apache/qpid/proton-j/0.10/proton-j-0.10.jar]
	at org.apache.karaf.features.internal.download.impl.SimpleDownloadTask.download(SimpleDownloadTask.java:90)[9:org.apache.karaf.features.core:4.0.4]
	at org.apache.karaf.features.internal.download.impl.AbstractRetryableDownloadTask.run(AbstractRetryableDownloadTask.java:58)[9:org.apache.karaf.features.core:4.0.4]
	... 7 more
Caused by: java.net.MalformedURLException: Unknown protocol: wrap
	at java.net.URL.<init>(URL.java:620)[:1.8.0_31]
	at java.net.URL.<init>(URL.java:483)[:1.8.0_31]
	at java.net.URL.<init>(URL.java:432)[:1.8.0_31]
	at org.apache.karaf.features.internal.download.impl.SimpleDownloadTask.download(SimpleDownloadTask.java:62)[9:org.apache.karaf.features.core:4.0.4]
	... 8 more
Caused by: java.lang.IllegalStateException: Unknown protocol: wrap
	at org.apache.felix.framework.URLHandlersStreamHandlerProxy.parseURL(URLHandlersStreamHandlerProxy.java:373)[org.apache.felix.framework-5.4.0.jar:]
	at java.net.URL.<init>(URL.java:615)[:1.8.0_31]
	... 11 more
{code}

So for some odd reason karaf cannot install bundles that has been wrapped. The initial feature
set in karaf includes wrap

{code}
2016-03-27 09:08:56,229 | INFO  | pool-7-thread-1  | FeaturesServiceImpl              | 9
- org.apache.karaf.features.core - 4.0.4 | Adding features: test-dependencies/[0,0.0.0], instance/[4.0.4,4.0.4],
package/[4.0.4,4.0.4], log/[4.0.4,4.0.4], camel-core/[2.18.0.SNAPSHOT,2.18.0.SNAPSHOT], ssh/[4.0.4,4.0.4],
aries-blueprint/[4.0.4,4.0.4], exam/[4.8.0,4.8.0], system/[4.0.4,4.0.4], feature/[4.0.4,4.0.4],
shell/[4.0.4,4.0.4], management/[4.0.4,4.0.4], service/[4.0.4,4.0.4], camel-blueprint/[2.18.0.SNAPSHOT,2.18.0.SNAPSHOT],
jaas/[4.0.4,4.0.4], shell-compat/[4.0.4,4.0.4], deployer/[4.0.4,4.0.4], diagnostic/[4.0.4,4.0.4],
wrap/[0,0.0.0], bundle/[4.0.4,4.0.4], config/[4.0.4,4.0.4], kar/[4.0.4,4.0.4], camel-amqp/[2.18.0.SNAPSHOT,2.18.0.SNAPSHOT]
2016-03-27 09:10:52,997 | ERROR | pool-7-thread-1  | BootFeaturesInstaller            | 9
- org.apache.karaf.features.core - 4.0.4 | Error installing boot features
{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message